Page MenuHomePhabricator

Property proposal/Libris-URI
Closed, ResolvedPublic

Description

see KB becomes the first national library to fully transition to linked data

Property:P5587

See Wikidata:Property_proposal/Libris-URI

A new property is needed since the old identifier P906 will still be useful as it is used by many third parties (and will be for some time). It could however get an constraint saying that items with that property should always also have this new property.
Sadly there does not seem to be an easy way of looking up the new identifier based on the old one that does not involve downloading large datasets.
The formatter URI for RDF resource (P1921) should probably be https://libris.kb.se/$1 (the canonical URI), I haven't checked if it supports content negotiation but e.g. .ttl is reachable under https://libris.kb.se/tr574vdc33gk2cc/data.ttl. The domain in the proposal is likely too narrow as the library will use this identifier for DVDs, editions of works and possibly other concepts such as events

Event Timeline

Salgo60 created this task.Jul 30 2018, 5:09 PM
Salgo60 updated the task description. (Show Details)Jul 30 2018, 5:15 PM
Salgo60 updated the task description. (Show Details)
Salgo60 closed this task as Resolved.EditedAug 5 2018, 10:19 AM
Salgo60 claimed this task.
Salgo60 updated the task description. (Show Details)

Wikidata Property created P5587

Updated Template:Sweden_properties

Salgo60 updated the task description. (Show Details)Aug 5 2018, 10:26 AM
Salgo60 updated the task description. (Show Details)Aug 5 2018, 10:34 AM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptMay 9 2019, 8:15 PM